self.on("click", function (node, data) {
	console.log("Item Clicked!");

	var parent = node,
		usernameField;
	// Find an input of type text that is close to the password field, within the same form if there is one.
	while (!usernameField && parent.nodeName !== "FORM" && (parent = node.parentNode)) {
		usernameField = parent.querySelector("input[type=text]");
	}

	self.context = {
		passwordField: node,
		usernameField: usernameField
	};

	self.postMessage({
		formAction: (node.form) ? node.form.action : "",
		locationHref: location.href,
		passwordFieldName: node.name,
		passwordFieldMaxLen: node.maxLength,
		passwordFieldValue: node.value,
		usernameFieldName: (usernameField) ? usernameField.name : "",
		usernameFieldValue: (usernameField) ? usernameField.value : ""
	});
});
